summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYvan Roux <yvan.roux@linaro.org>2017-04-20 13:05:18 +0200
committerYvan Roux <yvan.roux@linaro.org>2017-04-20 13:05:18 +0200
commit53c3cf226f395d7feec29a6445d7d0bcdc2f7589 (patch)
tree25abff61b804340669fd8b009afa3dff567e8d6f
parent4cc430f16400d5f0ed458240da2bb5055940cb2d (diff)
tcwg-release-tag.sh: Improve error handling.
Change-Id: Ib1c7c7c8e763e90cb36f1ccb813e4d7a389ffa2f
-rwxr-xr-xtcwg-release-tag.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tcwg-release-tag.sh b/tcwg-release-tag.sh
index a8db760..e966894 100755
--- a/tcwg-release-tag.sh
+++ b/tcwg-release-tag.sh
@@ -781,11 +781,11 @@ print_info "${bold}Checking out branch \"${local_branch}\"..."
git checkout ${local_branch} 1>/dev/null
bump_and_dev "${bump_mode_to}"
-git push ${REMOTE} "${release_tag}"
-git push ${REMOTE} "${local_branch}:${remote_mode_branch/remotes\/${REMOTE}/refs/heads}"
+git push ${REMOTE} "${release_tag}" || die "Couldn't push tag: ${release_tag}"
+git push ${REMOTE} "${local_branch}:${remote_mode_branch/remotes\/${REMOTE}/refs/heads}" || die "Couldn't push branch: ${local_branch}"
if [[ "${SNAPSHOT:+set}" = "set" && "${SPIN:+set}" != "set" ]]; then
- git push ${REMOTE} "${local_int_branch}:${remote_int_branch/remotes\/${REMOTE}/refs/heads}"
+ git push ${REMOTE} "${local_int_branch}:${remote_int_branch/remotes\/${REMOTE}/refs/heads}" || die "Couldn't push branch: ${local_int_branch}"
fi
popd 1>/dev/null